More Explosives Mod for Minecraft 1.7.10/1.6.4/1.6.2/1.5.2

for Minecraft 1.6.4 Note: The mods on 1.6.2 are compatible with Minecraft 1.6.4!
Minecraft is the fastest growing Java game in the Internet history. We offer you Minecraft maps, mods, resource packs and much more.